using System.ComponentModel.DataAnnotations;

namespace Domain.Entities.Forum.ValueObject;

/// <summary>
/// 게시판 알림 대상 (다중 선택 지원)
/// </summary>
[Flags]
public enum BoardNotify : byte
{
    [Display(Name = "최고관리자")]
    Admin = 1 << 0,

    [Display(Name = "게시판 관리자")]
    Manager = 1 << 1,

    [Display(Name = "게시글 작성자")]
    PostAuthor = 1 << 2,

    [Display(Name = "댓글 작성자")]
    CommentAuthor = 1 << 3,

    [Display(Name = "답글 작성자")]
    ReplyAuthor = 1 << 4
}